Skip to main content
Version: 0.0.55

NHL — NHL Stats REST API

sportsdataverse.nhl — 21 endpoints.

nhl_stats_rest_ping

Ping the NHL Stats REST API database.

Endpoint URL: GET https://api.nhle.com/stats/rest/ping

Valid URL: https://api.nhle.com/stats/rest/ping

API ParameterPythonPatternRequiredNullableDescription

Returns

Ping the NHL Stats REST API database.

Example

nhl_stats_rest_ping()

Last validated n/a.

nhl_stats_rest_component_season

Retrieve the component-season configuration.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/componentSeason

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve the component-season configuration.

Example

nhl_stats_rest_component_season()

Last validated n/a.

nhl_stats_rest_config

Retrieve the Stats REST API configuration payload.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/config

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve the Stats REST API configuration payload.

Example

nhl_stats_rest_config()

Last validated n/a.

nhl_stats_rest_content_module

Retrieve a content module by template key.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/content/module/{template_key}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
template_keytemplate_keyYtemplate_key path parameter.
langlangYlang path parameter.

Returns

Retrieve a content module by template key.

Example

nhl_stats_rest_content_module(template_key='X')

Last validated n/a.

nhl_stats_rest_country

Retrieve the list of countries used in NHL data.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/country

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

col_nametypedescription
idcharacterId.
country3_codecharacter
country_codecharacterTeam/venue country code.
country_namecharacter
has_player_statsinteger
image_urlcharacter
ioc_codecharacter
is_activeintegerWhether the team was active in this season.
nationality_namecharacter
olympic_urlcharacter
thumbnail_urlcharacter

Example

nhl_stats_rest_country()

Last validated n/a.

nhl_stats_rest_draft

Retrieve draft data, optionally filtered with Cayenne expressions.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/draft

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve draft data, optionally filtered with Cayenne expressions.

Example

nhl_stats_rest_draft()

Last validated n/a.

nhl_stats_rest_franchise

Retrieve franchise data.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/franchise

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

col_nametypedescription
idintegerId.
full_namecharacterPlayer's full name.
team_common_namecharacter
team_place_namecharacter

Example

nhl_stats_rest_franchise()

Last validated n/a.

nhl_stats_rest_game

Retrieve game-level data.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/game

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve game-level data.

Example

nhl_stats_rest_game()

Last validated n/a.

nhl_stats_rest_glossary

Retrieve the NHL Stats glossary of stat definitions.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/glossary

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

col_nametypedescription
idintegerId.
abbreviationcharacterShort abbreviation.
definitioncharacter
first_season_for_statdouble
full_namecharacterPlayer's full name.
language_codecharacterShort language code (e.g. 'en', 'xe').
last_updatedcharacterLast-updated timestamp.

Example

nhl_stats_rest_glossary()

Last validated n/a.

nhl_stats_rest_goalie_report

Retrieve a goalie statistical report.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/goalie/{report}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
reportreportYreport path parameter.
langlangYlang path parameter.

Returns

col_nametypedescription
assistsintegerTotal assists.
games_playedintegerGames played.
games_startedintegerGames started.
goalie_full_namecharacter
goalsinteger
goals_againstinteger
goals_against_averagedouble
last_namecharacterPlayer's last name.
lossesintegerTotal losses.
ot_lossesinteger
penalty_minutesinteger
player_idintegerUnique player identifier.
pointsintegerPoints scored.
save_pctdouble
savesintegerSaves.
season_idintegerUnique season identifier.
shoots_catchescharacter
shots_againstinteger
shutoutsintegerShutouts.
team_abbrevscharacter
tiescharacterNumber of ties in the series.
time_on_iceinteger
winsintegerTotal wins.

Example

nhl_stats_rest_goalie_report(report='summary')

Last validated n/a.

nhl_stats_rest_leaders_goalies

Retrieve league leaders for a goalie statistical attribute.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/leaders/goalies/{attribute}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
attributeattributeYattribute path parameter.
langlangYlang path parameter.

Returns

Retrieve league leaders for a goalie statistical attribute.

Example

nhl_stats_rest_leaders_goalies(attribute='X')

Last validated n/a.

nhl_stats_rest_leaders_skaters

Retrieve league leaders for a skater statistical attribute.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/leaders/skaters/{attribute}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
attributeattributeYattribute path parameter.
langlangYlang path parameter.

Returns

Retrieve league leaders for a skater statistical attribute.

Example

nhl_stats_rest_leaders_skaters(attribute='X')

Last validated n/a.

nhl_stats_rest_milestones_goalies

Retrieve milestone data for goalies.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/milestones/goalies

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve milestone data for goalies.

Example

nhl_stats_rest_milestones_goalies()

Last validated n/a.

nhl_stats_rest_milestones_skaters

Retrieve milestone data for skaters.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/milestones/skaters

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve milestone data for skaters.

Example

nhl_stats_rest_milestones_skaters()

Last validated n/a.

nhl_stats_rest_players

Retrieve the NHL player registry.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/players

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve the NHL player registry.

Example

nhl_stats_rest_players()

Last validated n/a.

nhl_stats_rest_season

Retrieve the list of all NHL seasons.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/season

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

col_nametypedescription
idintegerId.
all_star_game_in_useinteger
conferences_in_useinteger
divisions_in_useinteger
end_datecharacterEnd date (YYYY-MM-DD).
entry_draft_in_useinteger
formatted_season_idcharacter
minimum_playoff_minutes_for_goalie_stats_leadersinteger
minimum_regular_games_for_goalie_stats_leadersinteger
nhl_stanley_cup_ownerinteger
number_of_gamesinteger
olympics_participationinteger
point_for_ot_loss_in_useinteger
preseason_startdatecharacter
regular_season_end_datecharacterRegular season end date.
row_in_useinteger
season_ordinalinteger
start_datecharacterStart date (YYYY-MM-DD).
supplemental_draft_in_useinteger
ties_in_useinteger
total_playoff_gamesinteger
total_regular_season_gamesinteger
wildcard_in_useinteger

Example

nhl_stats_rest_season()

Last validated n/a.

nhl_stats_rest_shiftcharts

Retrieve shift-chart data.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/shiftcharts

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve shift-chart data.

Example

nhl_stats_rest_shiftcharts()

Last validated n/a.

nhl_stats_rest_skater_report

Retrieve a skater statistical report.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/skater/{report}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
reportreportYreport path parameter.
langlangYlang path parameter.

Returns

col_nametypedescription
assistsintegerTotal assists.
ev_goalsinteger
ev_pointsinteger
faceoff_win_pctdouble
game_winning_goalsinteger
games_playedintegerGames played.
goalsinteger
last_namecharacterPlayer's last name.
ot_goalsinteger
penalty_minutesinteger
player_idintegerUnique player identifier.
plus_minusintegerPlus/minus point differential while on court.
pointsintegerPoints scored.
points_per_gamedouble
position_codecharacterNumeric scorekeeping position code.
pp_goalsinteger
pp_pointsinteger
season_idintegerUnique season identifier.
sh_goalsinteger
sh_pointsinteger
shooting_pctdouble
shoots_catchescharacter
shotsinteger
skater_full_namecharacter
team_abbrevscharacter
time_on_ice_per_gamedouble

Example

nhl_stats_rest_skater_report(report='summary')

Last validated n/a.

nhl_stats_rest_team

Retrieve the list of all NHL teams.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/team

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
langlangYlang path parameter.

Returns

Retrieve the list of all NHL teams.

Example

nhl_stats_rest_team()

Last validated n/a.

nhl_stats_rest_team_by_id

Retrieve a single team by its numeric ID.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/team/id/{team_id}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
team_idteam_idYteam_id path parameter.
langlangYlang path parameter.

Returns

Retrieve a single team by its numeric ID.

Example

nhl_stats_rest_team_by_id(team_id=10)

Last validated n/a.

nhl_stats_rest_team_report

Retrieve a team statistical report.

Endpoint URL: GET https://api.nhle.com/stats/rest/{lang}/team/{report}

Valid URL: https://api.nhle.com/stats/rest

API ParameterPythonPatternRequiredNullableDescription
reportreportYreport path parameter.
langlangYlang path parameter.

Returns

col_nametypedescription
faceoff_win_pctdouble
games_playedintegerGames played.
goals_againstinteger
goals_against_per_gamedouble
goals_forinteger
goals_for_per_gamedouble
lossesintegerTotal losses.
ot_lossesinteger
penalty_kill_net_pctdouble
penalty_kill_pctdouble
point_pctdouble
pointsintegerPoints scored.
power_play_net_pctdouble
power_play_pctdouble
regulation_and_ot_winsinteger
season_idintegerUnique season identifier.
shots_against_per_gamedouble
shots_for_per_gamedouble
team_full_namecharacterFull team name.
team_idintegerUnique team identifier.
team_shutoutsinteger
tiescharacterNumber of ties in the series.
winsintegerTotal wins.
wins_in_regulationinteger
wins_in_shootoutinteger

Example

nhl_stats_rest_team_report(report='summary')

Last validated n/a.